GuestBook Scripts PHP 1.5 Cross Site Scripting / SQL Injection

2012-07-05T00:00:00
ID PACKETSTORM:114484
Type packetstorm
Reporter snup
Modified 2012-07-05T00:00:00

Description

                                        
                                            `Title:  
======  
GuestBook Scripts PHP v1.5 - Multiple Web Vulnerabilites  
  
  
Date:  
=====  
2012-06-11  
  
  
References:  
===========  
http://www.vulnerability-lab.com/get_content.php?id=601  
  
  
VL-ID:  
=====  
601  
  
  
Common Vulnerability Scoring System:  
====================================  
7.5  
  
  
Introduction:  
=============  
GuestBook Script PHP is a script that is very easy to install,  
administer and use on your website.  
Visitors to your website can leave comments and feedback. Also you can  
use it for testimonials.  
Features of GuestBook Script PHP:  
  
password protected administrator page  
converts easily to any language  
full control over the visual style  
simple one step installation  
easy to place on your webpage - copy and paste a single line of code  
select only the fields that you want to appear on the GuestBook form  
ability to set mandatory(required) fields on the GuestBook form  
each comment poster will be able to upload own photo (icon/avatar)  
rating stars option for the feedback  
emoticons support with show/hide option  
limit the number of characters in the comment area  
set the number of comments per page  
sort the order of entries  
create a list of words that will be banned from the GuestBook  
create a list of IP addresses that will be banned from using the  
GuestBook  
prevention of HTML and javascript injections  
choose between two types of captcha antispam code - simple and reCaptcha  
100% stop spam by using the reCaptcha image  
different captcha image themes to suit your website colors  
ability to approve comments/feedback before they are viewed publicly  
edit email address where all new entries notifications will be sent to  
option to send thank you message to the commenter after posting  
RSS Feed validated by W3C  
full source code supplied  
  
Requirements: PHP 4.3 or higher and MySQL 3 or higher running on your  
webserver.  
Current stable version of GuestBook Script PHP is 1.5  
  
( Copy of the Vendor Homepage: http://www.guestbookscripts.com )  
  
  
Abstract:  
=========  
The Vulnerability Laboratory Research Team discovered multiple different  
web vulnerabilites in GuestBook Scripts PHP 1.5 CMS.  
  
  
  
Report-Timeline:  
================  
2012-06-11: Public or Non-Public Disclosure  
  
  
Status:  
========  
Published  
  
  
Exploitation-Technique:  
=======================  
Remote  
  
  
Severity:  
=========  
High  
  
  
Details:  
========  
1.1  
Multiple SQL Injection vulnerabilities are detected in the GuestBook  
Scripts PHP 1.5 Content Management System.  
The vulnerability allows an attacker (remote) or local low privileged  
user account to inject/execute own sql  
commands on the affected application dbms without user inter action.  
Successful exploitation of the vulnerability  
results in dbms & application compromise. The vulnerabilities are  
located in the guestbook.php or admin.php files  
and the bound parameters p, orderType & orderBy. The sql injection  
vulnerabilities can be exploited by remote attackers without user  
inter action & without privileged user account.  
  
Vulnerable File(s):  
[+] guestbook.php  
[+] admin.php  
  
  
Vulnerable Parameter(s):  
[+] orderType  
[+] p  
[+] orderBy  
  
  
  
1.2  
Multiple non persistent cross site scripting vulnerabilities are  
detected in the GuestBook Scripts PHP 1.5 Content Management System.  
The vulnerability allows remote attackers to hijack website customer,  
moderator or admin sessions with high required user inter action  
or local low privileged user account. The vulnerabilities are located in  
the admin.php file with the bound vulnerable search, p &  
ordertype parameters. Successful exploitation can result in account  
steal, phishing & client-side content request manipulation.  
  
Vulnerable File(s):  
[+] admin.php  
  
Vulnerable Parameter(s):  
[+] search  
[+] p  
[+] orderType  
  
  
Proof of Concept:  
=================  
1.1  
The SQL Injection vulnerabilities can be exploited by remote attackers  
with and without privileged user account.  
User inter action is not required for exploitation. For demonstration or  
reproduce ...  
  
http://127.0.0.1:80/cms/guestbook.php?p=[SQL-INJECTION]  
http://127.0.0.1:80/cms/guestbook/admin.php?act=comments&orderType=[ASC/DESC]&search=&orderBy=[SQL-INJECTION]  
http://127.0.0.1:80/cms/guestbook/admin.php?act=comments&orderType=[SQL-INJECTION]  
  
1.2  
The persistent vulnerabilities can be exploited by remote attackers  
without privileged user account & with low  
required user inter action. For demonstration or reproduce ...  
  
http://127.0.0.1:80/cms/guestbook/admin.php?act=comments&orderType=[ASC/DESC]&search=&orderBy=[CROSS  
SITE SCrIPTING]  
http://127.0.0.1:80/cms/guestbook/admin.php?act=comments&orderType=[ASC/DESC]&search=[CROSS  
SITE SCrIPTING]  
http://127.0.0.1:80/cms/guestbook/admin.php?act=comments&orderType=[CROSS SITE  
SCrIPTING]  
  
  
Risk:  
=====  
1.1  
The security risk of the sql injection vulnerabilities are estimated as  
high.  
  
1.2  
The security risk of the input validation vulnerabilities are estiamted  
as low(+)  
  
  
Credits:  
========  
Vulnerability Laboratory [Research Team] - snup  
(snup@vulnerability-lab.com) [http://snup1.blogspot.com]  
  
  
  
Disclaimer:  
===========  
The information provided in this advisory is provided as it is without  
any warranty. Vulnerability-Lab disclaims all warranties,  
either expressed or implied, including the warranties of merchantability  
and capability for a particular purpose. Vulnerability-  
Lab or its suppliers are not liable in any case of damage, including  
direct, indirect, incidental, consequential loss of business  
profits or special damages, even if Vulnerability-Lab or its suppliers  
have been advised of the possibility of such damages. Some  
states do not allow the exclusion or limitation of liability for  
consequential or incidental damages so the foregoing limitation  
may not apply.  
  
Domains: www.vulnerability-lab.com - www.vuln-lab.com  
Contact: admin@vulnerability-lab.com -  
support@vulnerability-lab.com - research@vulnerability-lab.com  
Section: video.vulnerability-lab.com -  
forum.vulnerability-lab.com - news.vulnerability-lab.com  
Social: twitter.com/#!/vuln_lab -  
facebook.com/VulnerabilityLab - youtube.com/user/vulnerability0lab  
  
Any modified copy or reproduction, including partially usages, of this  
file requires authorization from Vulnerability Laboratory.  
Permission to electronically redistribute this alert in its unmodified  
form is granted. All other rights, including the use of other  
media, are reserved by Vulnerability-Lab Research Team or its suppliers.  
All pictures, texts, advisories, sourcecode, videos and  
other information on this website is trademark of vulnerability-lab team  
& the specific authors or managers. To record, list (feed),  
modify, use or edit our material contact (admin@vulnerability-lab.com or  
support@vulnerability-lab.com) to get a permission.  
  
Copyright © 2012 Vulnerability-Lab  
  
--   
VULNERABILITY RESEARCH LABORATORY TEAM  
Website: www.vulnerability-lab.com  
Mail: research@vulnerability-lab.com  
  
`